// Created with MonoDevelop
//
//    QuickStep: Acquire, view and identify spectra 
//    Copyright (C) 2022 Torsten Schache, Hiperscan GmbH Dresden, Germany
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.


using System;
using Hiperscan.ApoIdentCore.GuiControl;

namespace Hiperscan.Extensions.ApoIdent
{
    public partial class ApoIdentApplication
    {
        private void UpdateSplashScreen(UpdateArgs arg)
        {
            switch (arg.SplashScreenState)
            {
                case SplashScreenState.Start:
                    this.SplashScreen.StartApoIdentPhase();
                    break;

                case SplashScreenState.Abort:
                    this.SplashScreen.StopInitPhase(false);
                    break;

                case SplashScreenState.StartWarmup:
                    this.SplashScreen.StopInitPhase(true);
                    break;

                case SplashScreenState.WarmupProgress:
                    this.SplashScreen.UpdateWarmup(arg.StateBarValues.WarmupCurrentTemperature ?? 0,
                                                   arg.StateBarValues.WarmupMinTemperature ?? 0);
                    break;

                case SplashScreenState.Finished:
                    this.SplashScreen.StopWarmingUp();
                    break;

                default:
                    break;
            }
        }
    }
}
